Submit Business's KYB data

When a Business has accepted their Offer, the Platform is authorized to share their PI data with finmid. This data is necessary for finmid's KYB checks, which are required before the payout of the Funding to the Business.

Path Params
string
required
length ≤ 100

Identifier of the Business.

Body Params
string
required
length between 1 and 300
string
length between 1 and 300

Registration number of the Business from the commercial register.

⚠️ Note that one of either business_registration_number or tax_number must be provided.

string
length between 1 and 300

Identification number assigned to the Business by the local tax authority.

⚠️ Note that one of either business_registration_number or tax_number must be provided.

bank_account
object
required

Entity for sharing business bank account details.

string
required

Three-letter currency code (ISO 4217). Supported currencies EUR, DKK, SEK and POL. Must match the Business's registered currency.

legal_representative
object
required
legal_address
object
required
legal_representatives
array of objects
Defaults to
string
enum
Allowed:
metadata
object

Contains a set of flexible custom key-value pairs. Used for sharing extra data.

Example:

{
  "nace_code": "7010", // NACE code at least 2 digits
  "ubos": [ // list of UBOs
    {
      "full_name": "John Doe"
    },
    {
      "full_name": "Jane Doe"
    }
  ],
  "legal_entity_type": "LIMITED_LIABILITY_COMPANY", // LIMITED_LIABILITY_COMPANY or SOLE_PROPRIETOR
  "payout_schedule": "MONTHLY", // MONTHLY, DAILY, etc..
  "mcc": "5697",  // MCC - 4 digits
  "mcc_translation": "Seamstresses, tailors, garment repair/alterations", // MCC human readable translation
  "platform_status": "ACTIVE", // ACTIVE / CLOSED / PENDING / FROZEN
  "lei_code": "529900T8BM49AURSDO55" // LEI code (Legal Entity Identifier) - 20 alphanumeric characters
}
Responses

401

Missing or invalid API key. Could not authenticate API request.

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json